// DFIconButton
//
// Copyright 1996 Thorsten Seitz

#include "DFIconButton.h"
#include "get_icon.h"


// class DFIconButton

#pragma mark ## ICON_BUTTON

DFIconButton::DFIconButton(
						BWindow *window,
						BPoint	leftTop,
						const char *name,
						long type_off, 
						long type_on, 
						long creator,
						bool unaugmented,
						BMessage *msg,
						ulong behaviour,
						ulong resizingMode,
						ulong flags)
	: BPictureButton(
				GetFrame(leftTop, unaugmented),
				name,
				GetPicture(window, type_off, creator, FALSE, unaugmented),
				GetPicture(window, type_on, creator, TRUE, unaugmented),
				msg,
				behaviour,
				resizingMode,
				flags)
{
}


BRect
DFIconButton::GetFrame(BPoint leftTop, bool unaugmented)
{
	BRect rect;
	
	if (unaugmented)
		rect.Set(0, 0, 15, 15);
	else
		rect.Set(0, 0, 21, 21);
	
	rect.OffsetTo(leftTop);
	
	return rect;
}


BPicture*
DFIconButton::GetPicture(
				BWindow *window,
				long type, 
				long creator,
				bool on, 
				bool unaugmented)			
{
	BRect		rect(0,0,15,15);
	BPicture 	*pic;
	rgb_color 	offset = {40, 40, 40, 0};
	
//	ASSERT(window);	

	window->Lock();
	
	BBitmap bmp(rect, B_COLOR_8_BIT);
	BBitmap aug(BRect(0,0,31,31), B_COLOR_8_BIT);
	
	if (!unaugmented)
		rect.Set(0,0,21,21);
		
	BView *picView = new BView(rect, "", B_FOLLOW_NONE, 0);
	picView->Hide();
	window->AddChild(picView);
	
	get_icon(type, creator, "smallBits", &bmp);
	picView->BeginPicture(new BPicture);
	if (unaugmented)
		picView->DrawBitmap(&bmp);
	else {
		get_icon(on ? 'CLS1' : 'CLS0', '?MWD', "largeBits", &aug);
		picView->DrawBitmap(&aug, rect, rect);
		picView->SetDrawingMode(B_OP_OVER);
		picView->DrawBitmap(&bmp, on ? BPoint(2,2) : BPoint(3,3));
	}
	pic = picView->EndPicture();
	
	window->Unlock();

	return pic;	
}
