// DFIconButton
//
// Copyright 1996 Thorsten Seitz
//
// DFIconButton:
//		a BPictureButton, where the picture are icons given by
//		type_on, type_off and the common creator
//		(this makes it possible to include these icons as resources)
//		the unaugmented flag specifies whether the icons shall be
//		used unaugmented or be augmented with an underlying
//		button (a bigger grey version of the windows close button)

#ifndef DF_ICON_BUTTON_H
#define DF_ICON_BUTTON_H

// class DFIconButton

class
DFIconButton : public BPictureButton
{

public:
						DFIconButton(
								BWindow *window,
								BPoint leftTop,
								const char *name,
								long type_off,
								long type_on,
								long creator,
								bool unaugmented,
								BMessage *msg,
								ulong behaviour = B_ONE_STATE_BUTTON,
								ulong resizingMode 
									= B_FOLLOW_LEFT | B_FOLLOW_TOP,
								ulong flags = B_WILL_DRAW);

	virtual				~DFIconButton() {}
	
private:
			BRect		GetFrame(BPoint leftTop, bool unaugmented);
			BPicture*	GetPicture(BWindow *window, long type,
							long creator, bool on, bool unaugmented);
};
					
#endif

